This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 917016 - Unclear/disputed FreeRDP license status
Unclear/disputed FreeRDP license status
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freerdp (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mads Kiilerich
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-03-01 08:26 EST by Pierre Ossman
Modified: 2013-03-04 14:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-04 14:30:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2013-03-01 08:26:34 EST
Some time ago, FreeRDP was upgraded to 1.0. This upgrade contains a license change from GPLv2 to Apache License 2.0. However, we would like to point out that this change is controversial. The FreeRDP project was based on rdesktop, but some rdesktop copyright holders (including Cendio, which I work for) has not accepted this change. The FreeRDP project has gradually rewritten the codebase so that it no longer shares any lines with rdesktop. However, it could be argued that it is still based on rdesktop, since it's not a clean room implementation; rdesktop code was used in the process and in interim versions.

More information is available in these threads:

http://article.gmane.org/gmane.network.freerdp.devel/1403
http://article.gmane.org/gmane.network.freerdp.devel/1419
Comment 1 Mads Kiilerich 2013-03-01 09:46:50 EST
Pierre, you are using very careful wording while insinuating that there is a problem.

Please clarify: Are you and Cendio hereby disputing the new FreeRDP license? Are you as rdesktop copyright holders claiming that shipping FreeRDP under APL is violating your copyright?

The opposite argument would probably be that every single line of code that ever has been shipped together with your GPL-only code (if any) has been dual-licensed to be GPL compatible. The parts that are dual-licensed have been written from scratch and then piece by piece used with the GPL-only code ... until the point where there was no GPL-only code left and the all the code could be used under the other license. The claim is that all the code currently found in FreeRDP is "sufficiently cleanroom" to not be affected by the GPL.
Comment 2 Pierre Ossman 2013-03-01 10:31:49 EST
(In reply to comment #1)
> Pierre, you are using very careful wording while insinuating that there is a
> problem.
> 

Yes, I'm explicitly using very careful wording as I am not a lawyer and can therefore not in good faith make a statement further than that we believe this whole thing is legally unclear and should be treated with caution and care.

> Please clarify: Are you and Cendio hereby disputing the new FreeRDP license?
> Are you as rdesktop copyright holders claiming that shipping FreeRDP under
> APL is violating your copyright?

Cendio are claiming that older versions of FreeRDP had code from rdesktop that were written by Cendio. I don't think anyone involved has disputed that portion.

In order to remove Cendio's copyright claims to FreeRDP (and facilitate the licence change), a "rewrite" of FreeRDP was started. However, we at Cendio have not been convinced that this "rewrite" was performed in a manner that clearly makes it being fully independent from the previous rdesktop origins. The fact that it was done in such a short time frame, and by people previously involved in FreeRDP and rdesktop, are two factors in this.

We have not had any lawyers look at this and give a professional opinion on it, which is why we're not explicitly claiming that FreeRDP is in violation of our copyrights. But we (as laymen) also cannot see this as a clear case of FreeRDP being in the clear, which is why we're trying to shine some light on the dispute.
Comment 3 Tom "spot" Callaway 2013-03-04 14:30:09 EST
I really do not want to be in the middle of this. If you think there is a case of copyright infringement, and you can provide proof of this, then you can:

A) Present that proof to us and we will assess whether we wish to continue distributing FreeRDP as part of Fedora

or, even better,

B) Get a lawyer. Pursue available legal avenues in the courts.

While Fedora does not condone copyright infringement, we do not take stances on such issues without a lot more data than you've presented here.

Closing this WONTFIX, either reopen with more data for us to consider or resolve your issues with lawyers (or amicably, across projects).

Note You need to log in before you can comment on or make changes to this bug.